ChatbotConsent
Returns a list of all ChatbotConsents
GET/api/chat/chatbot_consent
Query parameters
idstring | , SCOPE_LIST |
personstring | , SCOPE_LIST |
grantedstring | , SCOPE_LIST |
sourcestring | customer_app | admin | import - siehe SOURCE_* Konstanten. | , SCOPE_LIST |
textVersionstring | Version des Einwilligungstextes (Setting chatbot_member_consent_version). | , SCOPE_LIST |
createdstring | , SCOPE_LIST |
searchStringstring | text to search for in the list |
orderFieldNamestring | name of the order field |
orderFieldSortstring | sorting modeAllowed: DESCASC |
pageinteger | page of the list |
pageSizeinteger | number of entries for each page |
withMaxPageNumberstring | returns the number of pages available as a header if this is set |
Responses
200Returns a list of all ChatbotConsentsarray<ChatbotConsent>
Show fields (7)
idintegerPrimary key of the consent. Internal ID.
grantedbooleanWhether the consent is granted.
text_versionstringVersion des Einwilligungstextes (Setting chatbot_member_consent_version).
text_hashstringsha256 des Textes, dem tatsaechlich zugestimmt wurde.
sourcestringcustomer_app | admin | import - siehe SOURCE_* Konstanten.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request GET \
--url https://your-instance.iw-erp.de/api/chat/chatbot_consent \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'GET', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_consent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_consent"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/chat/chatbot_consent', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_consent"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_consent")
.get()
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_consent"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatbot_consent_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatbotConsentController.getAll();
if (result.success) {
print(result.data);
}[
{
"id": 42,
"granted": true,
"text_version": "string",
"text_hash": "string",
"source": "string",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}
]Widerruft das KI-Opt-in einer Person
POST/api/chat/chatbot_consent/revoke/{personIdentifier}
Path parameters
personIdentifierrequiredstring |
Responses
200Die geschriebene Widerrufs-ZeileChatbotConsent2
Show fields (8)
idintegerPrimary key of the consent. Internal ID.
grantedbooleanWhether the consent is granted.
text_versionstringVersion des Einwilligungstextes (Setting chatbot_member_consent_version).
text_hashstringsha256 des Textes, dem tatsaechlich zugestimmt wurde.
sourcestringcustomer_app | admin | import - siehe SOURCE_* Konstanten.
ip_hashstringsha256 der IP-Adresse - kein Klartext, aber als Nachweis verwertbar.
createdstring (date-time)Point in time the entity was created.
updatedstring (date-time)Point in time the entity was last updated.
curl --request POST \
--url https://your-instance.iw-erp.de/api/chat/chatbot_consent/revoke/42 \
--header 'x-iw-jwt-token: <TOKEN>'const options = {method: 'POST', headers: {'x-iw-jwt-token': '<TOKEN>'}};
fetch('https://your-instance.iw-erp.de/api/chat/chatbot_consent/revoke/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/chat/chatbot_consent/revoke/42"
headers = {"x-iw-jwt-token": "<TOKEN>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/chat/chatbot_consent/revoke/42', [
'headers' => [
'x-iw-jwt-token' => '<TOKEN>',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/chat/chatbot_consent/revoke/42"),
Headers =
{
{ "x-iw-jwt-token", "<TOKEN>" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/chat/chatbot_consent/revoke/42")
.post(null)
.addHeader("x-iw-jwt-token", "<TOKEN>")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/chat/chatbot_consent/revoke/42"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-iw-jwt-token", "<TOKEN>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/chatbot_consent_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
IwApiState().currentJwtApiToken = '<TOKEN>';
final result = await ChatbotConsentController.revoke('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"granted": true,
"text_version": "string",
"text_hash": "string",
"source": "string",
"ip_hash": "string",
"created": "2026-10-15T09:30:00+02:00",
"updated": "2026-10-15T09:30:00+02:00"
}